%bcond_without check

%undefine _strict_symbol_defs_build
%global cairo_version 1.17.0
%global release_version %(echo %{version} | awk -F. '{print $1"."$2}')

Summary:        An SVG library based on cairo
Name:           librsvg2
Version:        2.56.90
Release:        2%{?dist}
License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/LibRsvg
Source0:        https://download.gnome.org/sources/librsvg/%{release_version}/librsvg-%{version}.tar.xz
# since 2.55.0，we need to create vendor:
#   tar xf librsvg-%%{version}.tar.xz ; pushd librsvg-%%{version} ; \
#   cargo vendor && tar Jcvf ../librsvg-%%{version}-vendor.tar.xz vendor/ ; popd
Source1:        librsvg-%{version}-vendor.tar.xz
 
BuildRequires:  chrpath gcc gobject-introspection-devel make
BuildRequires:  pkgconfig(cairo) >= %{cairo_version}
BuildRequires:  pkgconfig(cairo-gobject) >= %{cairo_version}
BuildRequires:  pkgconfig(cairo-png) >= %{cairo_version}
BuildRequires:  pkgconfig(fontconfig) pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gio-2.0) pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(glib-2.0) pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(libxml-2.0) pkgconfig(pangocairo)
BuildRequires:  pkgconfig(pangoft2) vala rust-toolset
BuildRequires:  /usr/bin/rst2man
Requires:       cairo >= %{cairo_version}
Requires:       cairo-gobject >= %{cairo_version}
Requires:       rsvg-pixbuf-loader
 
%description
The librsvg library is a lightweight library for parsing and rendering
vector-graphic files in SVG format (like the ones made by sodipodi). It also
includes functions that render anti-aliased fonts using freetype, including
caching of glyphs. It is used by Nautilus for drawing vector icons and
anti-aliased text.
 
%package devel
Summary:        Libraries and include files for developing with librsvg
Requires:       %{name} = %{version}-%{release}
 
%description devel
Development libraries and header files for using librsvg2.

%package -n rsvg-pixbuf-loader
Summary:        SVG image loader for gdk-pixbuf
Requires:       gdk-pixbuf2
Requires:       %{name} = %{version}-%{release}

%description -n rsvg-pixbuf-loader
This package provides a gdk-pixbuf plugin for loading SVG images in GTK apps.
 
%package tools
Summary:        Extra tools for librsvg
Requires:       %{name} = %{version}-%{release}
 
%description tools
This package provides extra utilities based on the librsvg library.
 
%prep
%autosetup -n librsvg-%{version}

sed -i Makefile.am -e 's/-Z unstable-options//'
%cargo_prep -V 1
 
%build
export CARGO="%__cargo"
%configure --disable-static  \
           --disable-gtk-doc \
           --docdir=%{_pkgdocdir} \
           --enable-introspection \
           --enable-vala
%make_build

%install
%make_install
find %{buildroot} -name \*.la -delete
 
chrpath --delete %{buildroot}%{_bindir}/rsvg-convert
chrpath --delete %{buildroot}%{_libdir}/gdk-pixbuf-2.0/*/loaders/libpixbufloader-svg.so
 
rm -f %{buildroot}%{_pkgdocdir}/COMPILING.md

%if %{with check}
%check
%make_build check
%endif
 
%files
%license COPYING.LIB
%doc code-of-conduct.md NEWS README.md
%{_libdir}/librsvg-2.so.*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Rsvg-2.0.typelib
%dir %{_datadir}/thumbnailers
%{_datadir}/thumbnailers/librsvg.thumbnailer
 
%files devel
%{_libdir}/librsvg-2.so
%{_includedir}/librsvg-2.0/
%{_libdir}/pkgconfig/librsvg-2.0.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Rsvg-2.0.gir
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/librsvg-2.0.vapi

%files -n rsvg-pixbuf-loader
%{_libdir}/gdk-pixbuf-2.0/*/loaders/libpixbufloader-svg.so

%files tools
%{_bindir}/rsvg-convert
%{_mandir}/man1/rsvg-convert.1*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.56.90-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Wang Guodong <gordonwwang@tencent.com> - 2.56.90-1
- Upgrade to version 2.56.90

* Tue Jul 18 2023 Wang Guodong <gordonwwang@tencent.com> - 2.54.4-5
- Rebuilt for rust 1.69.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.54.4-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.54.4-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 8 2022 Wang Guodong <gordonwwang@tencent.com> - 2.54.4-2
- rebuild for cargo-1.64.0(rust-1.64.0).

* Thu Aug 18 2022 Wang Zhe <bessiewang@tencent.com> - 2.54.4-1
- initial build
